package com.ningdatech.pmapi.todocenter.service.impl;

import com.ningdatech.pmapi.todocenter.mapper.StatisticsMapper;
import com.ningdatech.pmapi.todocenter.model.po.TodoCenterStatisticsPO;
import com.ningdatech.pmapi.todocenter.service.StatisticsService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * @Classname StatisticsService
 * @Description
 * @Date 2023/3/20 11:20
 * @Author PoffyZhang
 */
@Service
@AllArgsConstructor
public class StatisticsServiceImpl implements StatisticsService {

    private final StatisticsMapper mapper;

    @Override
    public TodoCenterStatisticsPO getStatistics(Long userId) {
        return mapper.getStatistics(userId);
    }
}
